// 系统全局字典
import useDictStore from '@/stores/modules/dict'
import { getDictsApi } from '@/api/modules/system/dictData'
/**
 * 获取字典数据
 */
export const useDict = (...args: any[]) => {
  const res = ref<any>({})
  return (() => {
    args.forEach(dictType => {
      res.value[dictType] = []
      const dicts = useDictStore().getDict(dictType)
      if (dicts) {
        res.value[dictType] = dicts
      } else {
        getDictsApi(dictType).then(resp => {
          res.value[dictType] = resp.data.map((p: any) => ({
            label: p.dictLabel,
            value: p.dictValue,
            elTagType: p.listClass,
            elTagClass: p.cssClass
          }))
          useDictStore().setDict(dictType, res.value[dictType])
        })
      }
    })
    return toRefs(res.value)
  })()
}
